# Class UIDefaults.LazyInputMap

java.lang.Object
javax.swing.UIDefaults.LazyInputMap

All Implemented Interfaces:
  `UIDefaults.LazyValue`

Enclosing class:
  `UIDefaults`

public static class UIDefaults.LazyInputMap extends Object implements UIDefaults.LazyValue
`LazyInputMap` will create a `InputMap` in its `createValue` method. The bindings are passed in the constructor. The bindings are an array with the even number entries being string `KeyStrokes` (eg "alt SPACE") and the odd number entries being the value to use in the `InputMap` (and the key in the `ActionMap`).

Since:
  1.3

## Constructor Summary

Constructors
Constructor
Description
`LazyInputMap(Object[] bindings)`
Constructs a `LazyInputMap`.

## Method Summary

Modifier and Type
Method
Description
`Object`
`createValue(UIDefaults table)`
Creates an `InputMap` with the bindings that are passed in.

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`boolean`
`equals(Object obj)`
Indicates whether some other object is "equal to" this one.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`int`
`hashCode()`
Returns a hash code value for this object.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`String`
`toString()`
Returns a string representation of the object.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Constructor Details

### LazyInputMap

public LazyInputMap(Object[] bindings)
Constructs a `LazyInputMap`.

Parameters:
  `bindings` - the bindings

## Method Details

### createValue

public Object createValue(UIDefaults table)
Creates an `InputMap` with the bindings that are passed in.

Specified by:
  `createValue` in interface `UIDefaults.LazyValue`
Parameters:
  `table` - a `UIDefaults` table
Returns:
  the `InputMap`